
QGIS Application - Bug report #6931

OSM Plugin crashes after API change

2012-12-30 05:54 AM - Borys Jurgiel

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Python plugins

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 16046

Description

OSM Plugin crashes on Master because of the API change:

QgsMapRenderer.destinationSrs() -> QgsMapRenderer.destinationCrs()

It's a regression, so I mark as a blocker. Patch supplied.

Associated revisions

Revision bd65e86b - 2013-01-01 01:27 AM - Larry Shaffer

Fix #6931, apply patch from Borys Jurgiel

History

#1 - 2012-12-30 05:57 AM - Borys Jurgiel

- File deleted (osmplugin.patch)

#2 - 2012-12-30 05:59 AM - Borys Jurgiel

- File osmplugin.patch added

#3 - 2012-12-31 04:27 PM - Larry Shaffer

- Status changed from Open to Closed

Fixed in changeset commit:"bd65e86b5f079ecb8969b3132b64bfbf7d20a1dd".

#4 - 2012-12-31 04:34 PM - Larry Shaffer

- Status changed from Closed to Feedback

Sorry,

The fix from the patch was reverted in favor of an already-submitted pull request that appears to be a more complete fix:

https://github.com/slarosa/Quantum-GIS/commit/90ef5767bc446ff1d7cada65be802e6e05aa779f

#5 - 2013-01-06 08:14 AM - Jürgen Fischer

- Resolution set to fixed
https://github.com/slarosa/Quantum-GIS/commit/90ef5767bc446ff1d7cada65be802e6e05aa779f


- Status changed from Feedback to Closed

fixed in commit:90ef5767

Files

osmplugin.patch 661 Bytes 2012-12-30 Borys Jurgiel
